.TH strcasecmp() "" "" "Sockets Function (libsocket)"
.PC "Case-insensitive string comparison"
\fBint strcasecmp (\fIleft\^\fB, \fIright\^\fB)
\fBchar *\fIleft\^\fB, *\fIright\^\fB;\fR
.PP
Function
.B strcasecmp()
compares strings
.I left
and
.IR right .
It returns zero if the strings are identical; \-1 if
.I left
is lexigraphically less than (that is, occurs earlier in the alphabet)
than
.IR right ;
or one if if
.I left
is lexicographically greater than
.IR right .
Unlike the function
.BR strcmp() ,
.B strcasecmp()
ignores case when it compares the strings.
.SH "See Also"
.Xr "libsocket," libsocket
.Xr "strcmp()," strcmp()
.Xr "string.h" string.h
